<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.transformation.DFDLSchema']}</h1>
        <h:form id="globalForm">
            #{dfdlSchemaManager.getDfdlFileFromUrl()}
            <ui:decorate template="/layout/panels/_panel_footer.xhtml">

                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Keyword']}</ui:define>
                        <h:outputText value="#{dfdlSchemaManager.selectedDfdlSchema.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Name']}</ui:define>
                        <h:outputText value="#{dfdlSchemaManager.selectedDfdlSchema.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Version']}
                        </ui:define>
                        <h:outputText value="#{dfdlSchemaManager.selectedDfdlSchema.version}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Author']}</ui:define>
                        <h:outputText value="#{dfdlSchemaManager.selectedDfdlSchema.author}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Description']}
                        </ui:define>
                        <h:outputText value="#{dfdlSchemaManager.selectedDfdlSchema.description}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.DfdlFile']}</ui:define>
                        <h:outputText
                                value="#{dfdlSchemaManager.getDfdlFilePathRoot()}/#{dfdlSchemaManager.selectedDfdlSchema.path}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.ObjectType']}
                        </ui:define>
                        <h:outputText value="#{dfdlSchemaManager.selectedDfdlSchema.objectType.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.transformation.Available']}
                        </ui:define>
                        <h:outputText id="availableTrue" style="color:green;"
                                      rendered="#{dfdlSchemaManager.selectedDfdlSchema.available == true}"
                                      value="#{messages['net.ihe.gazelle.transformation.Yes']}"/>
                        <h:outputText id="availableFalse" style="color:red;"
                                      rendered="#{dfdlSchemaManager.selectedDfdlSchema.available != true}"
                                      value="#{messages['net.ihe.gazelle.transformation.No']}"/>
                    </s:decorate>
                </dl>
                <ui:define name="panel_footer">
                    <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.transformation.Edit']}"
                                           styleClass="gzl-btn-green"
                                           action="#{dfdlSchemaManager.editDfdlFile(dfdlSchemaManager.selectedDfdlSchema)}"
                                           execute="@this"/>
                    </h:panelGroup>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.transformation.Back']}"
                                       styleClass="gzl-btn"
                                       action="/schema/list.seam"
                                       immediate="true" execute="@this"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>